Options -Indexes
#deny from all

<FilesMatch "(?i)((\.tpl|\.ini|\.log|\.pl|(?<!robots)\.txt))">
 Require all denied
## For apache 2.2 and older, replace "Require all denied" with these two lines :
# Order deny,allow
# Deny from all
</FilesMatch>

RewriteEngine On
RewriteRule ^([^?]*) index.html [L,QSA]
